Subject: Re: install -d -c or maybe makefile <[email-masked]>

From: "Chris G. Demetriou" <[email-masked]>

> I have discovered that many target directories must previously exist.
> One example is the /usr/share/man/cat[0-8] directories are not created
> by any make directive that I have found. I presume that these target
> directories were created by an install of the binary tar files.

You should look at the methods used to build snapshots, etc., found in
/usr/src/etc/Makefile.  You want to use the 'mtree' program.

> As a point of discussion, and not a bug report or change request,
> would it not be appropriate to change most 'install' commands in the
> makefiles to 'install -d'.

No; the permissions & ownership on every directory under the sun would
end up wrong.

cgd